Synnefo - Bug # 3625

Status: Resolved Priority: Medium

Author: Sofia Papagiannaki Category: Pithos

Created: 04/18/2013 Assignee: Sofia Papagiannaki
Updated: 05/01/2013 Due date:

Subject: Change pithos commands

Description

storagequota should be deleted

pithos-usage should be renamed to reconcile-resources-pithos
- pithos-reconcile-commissions should be renamed to reconcile-commissions-pithos
pithos-export-quota should be integrated into pithos-manage-accounts

pithos-manage-accounts should be extended to permit mass or individual container quota policy update
pithos-manage-accounts should be a separate command (not included in snf-manage)

Associated revisions

Revision cc412b78 - 04/29/2013 05:41 pm - Sofia Papagiannaki

pithos: Utilize astakosclient for quota handling

Refs: #3625, #3650

Revision 1ca0dd29 - 04/30/2013 07:37 pm - Sofia Papagiannaki

pithos: Update pithos management commands

Refs: #3625

Revision d1e7d2b4 - 05/01/2013 12:00 pm - Sofia Papagiannaki

pithos: Utilize astakosclient for quota handling

Refs: #3625, #3650

Revision ae6199c5 - 05/01/2013 12:00 pm - Sofia Papagiannaki

pithos: Update pithos management commands

Refs: #3625

History

#1 - 04/23/2013 11:43 am - Sofia Papagiannaki

pithos-reconcile-commissions & pithos-manage-accounts (export quota):

substitute sglalchemy execution by distinct backend methods
#2 - 05/01/2013 12:46 pm - Sofia Papagiannaki
- Status changed from Assigned to Resolved
